## org.jfree.chart.plot
Class PieLabelLinkStyle

    java.lang.Object
      org.jfree.chart.plot.PieLabelLinkStyle

All Implemented Interfaces:
  java.io.Serializable

    public final class PieLabelLinkStyle

extends java.lang.Object
implements java.io.Serializable

Used to indicate the style for the lines linking pie sections to their corresponding labels.

Since:
  1.0.10
See Also:
  Serialized Form

Field Summary
`static PieLabelLinkStyle` `CUBIC_CURVE` CUBIC_CURVE.
`static PieLabelLinkStyle` `QUAD_CURVE` QUAD_CURVE.
`static PieLabelLinkStyle` `STANDARD` STANDARD.

Method Summary
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code for this instance.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### STANDARD

    public static final PieLabelLinkStyle STANDARD

  STANDARD.

### QUAD_CURVE

    public static final PieLabelLinkStyle QUAD_CURVE

  QUAD_CURVE.

### CUBIC_CURVE

    public static final PieLabelLinkStyle CUBIC_CURVE

  CUBIC_CURVE.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.